Bug 573802 - Review Request: perl-Audio-Beep - Audio::Beep Perl module
Summary: Review Request: perl-Audio-Beep - Audio::Beep Perl module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 573801
Blocks: 500959
TreeView+ depends on / blocked
 
Reported: 2010-03-15 20:16 UTC by Jan Klepek
Modified: 2010-04-09 04:05 UTC (History)
2 users (show)

Fixed In Version: perl-Audio-Beep-0.11-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-23 23:17:57 UTC
cweyl: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jan Klepek 2010-03-15 20:16:59 UTC
Spec URL: http://hpejakle.fedorapeople.org/packages/perl-Audio-Beep.spec
SRPM URL: http://hpejakle.fedorapeople.org/packages/perl-Audio-Beep-0.11-1.fc11.src.rpm
Description: Perl module to use your computer beeper in fancy ways
Koji Build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2054525
Rpmlint output:
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 1 Jan Klepek 2010-03-15 20:25:47 UTC
depends on is "optional", as this module require beep command, which is currently limited to users with access to /dev/console, and this limitation is transferred to user running script based on this module.

Comment 2 Chris Weyl 2010-03-16 05:06:27 UTC
Looks good.

There's a demo script and files under music/, why not package them in %doc?

This is not a blocker, but please consider adding "%{?perl_default_filter}" to
your spec, before the %description block; even if the addition is merely
pro-forma for this package.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2054525

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
a5f87cdf2259ee86e898a08984639ff06fa917a9 Audio-Beep-0.11.tar.gz
a5f87cdf2259ee86e898a08984639ff06fa917a9 Audio-Beep-0.11.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Audio-Beep-0.11-1.fc14.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Audio-Beep-0.11-1.fc14.noarch.rpm
perl(Audio::Beep) = 0.11
perl-Audio-Beep = 0.11-1.fc14
perl(Audio::Beep::Linux::beep) = 0.11
perl(Audio::Beep::Linux::PP) = 0.11
====> requires for perl-Audio-Beep-0.11-1.fc14.noarch.rpm
beep  
perl(Carp)  
perl(constant)  
perl(Exporter)  
perl(IO::File)  
perl(:MODULE_COMPAT_5.10.1)  
perl(strict)  
perl(vars)  

=====> perl-Audio-Beep-0.11-1.fc14.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Audio-Beep-0.11-1.fc14.src.rpm
====> requires for perl-Audio-Beep-0.11-1.fc14.src.rpm
perl(ExtUtils::MakeMaker)  
perl(Test::More)  

APPROVED

Comment 3 Jan Klepek 2010-03-16 22:57:05 UTC
Thanks for review,

I will add music into docs and perl_default_filter for final version in cvs. 

New Package CVS Request
=======================
Package Name: perl-Audio-Beep
Short Description: Audio::Beep Perl module
Owners: 
Branches: F-11 F-12 F-13 EL-4 EL-5
InitialCC: perl-sig

Comment 4 Kevin Fenzi 2010-03-17 18:24:40 UTC
Please set an owner in your template and reset the flag when you are ready.

Comment 5 Jan Klepek 2010-03-17 20:44:52 UTC
sorry, forgot that line.

New Package CVS Request
=======================
Package Name: perl-Audio-Beep
Short Description: Audio::Beep Perl module
Owners: hpejakle
Branches: F-11 F-12 F-13
InitialCC: perl-sig

Comment 6 Kevin Fenzi 2010-03-19 20:00:15 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Fedora Update System 2010-03-22 22:17:49 UTC
perl-Audio-Beep-0.11-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Audio-Beep-0.11-1.fc11

Comment 8 Fedora Update System 2010-03-22 22:17:54 UTC
perl-Audio-Beep-0.11-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Audio-Beep-0.11-1.fc12

Comment 9 Fedora Update System 2010-03-22 22:17:58 UTC
perl-Audio-Beep-0.11-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Audio-Beep-0.11-1.fc13

Comment 10 Fedora Update System 2010-03-23 23:17:53 UTC
perl-Audio-Beep-0.11-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-03-23 23:24:09 UTC
perl-Audio-Beep-0.11-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-04-09 04:05:51 UTC
perl-Audio-Beep-0.11-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.